Subject: Re: linux-next: build failure after merge of the i3c tree

From: Alexandre Belloni <[email-masked]>
Date: Tue, 16 Sep 2025 21:12:44 +0200

Hello Mark,

On 15/09/2025 21:58:12+0100, Mark Brown wrote:
> Hi all,
> 
> After merging the i3c tree, today's linux-next build (x86 allmodconfig)
> failed like this:
> 
> /tmp/next/build/drivers/i3c/master/adi-i3c-master.c:13:10: fatal error: linux/fpga/adi-axi-common.h: No such file or directory
>    13 | #include <linux/fpga/adi-axi-common.h>
>       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> compilation terminated.
> 
> Caused by commit
> 
>   63cae74bea7cc ("i3c: master: Add driver for Analog Devices I3C Controller IP")
> 
> I have used the version from next-20250912 instead.

Thanks for the heads up, I didn't realize I wasn't rebased on top of
v6.17-rc1. I sent a patch but I will only be able to push it tomorrow so
the i3c tree is going to fail again today.

-- 
Alexandre Belloni, co-owner and COO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com